/*
 * Copyright 2011 JOHK Software
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */
package com.wesleyhome.johksoftware.resource;

import java.util.ArrayList;
import java.util.List;

import com.wesleyhome.johksoftware.resource.api.ResourceEvaluator;
import com.wesleyhome.johksoftware.resource.spi.ResourceLoaderService;

/**
 * @author Justin Wesley
 * @since 1.0.0
 *
 */
public class FileResourceLoaderService implements ResourceLoaderService {

	/* (non-Javadoc)
	 * @see com.wesleyhome.johksoftware.resource.spi.ResourceLoaderService#getResourceEvaluators()
	 */
	@Override
	public List<Class<? extends ResourceEvaluator>> getResourceEvaluators() {
		List<Class<? extends ResourceEvaluator>> list = new ArrayList<Class<? extends ResourceEvaluator>>();
		list.add(FileResourceEvaluator.class);
		list.add(JarResourceEvaluator.class);
		return list;
	}
}
